com.h3c.util.pkt

## Class PppEthernet

- java.lang.Object
- - com.h3c.util.pkt.PppEthernet

- All Implemented Interfaces:
    Protocol

      public class PppEthernet
      extends Object
      implements Protocol

  PPP-over-Ethernet data store (immutable) and associated `PppEthernet.Builder` (mutable).

  There are no OpenFlow match fields that reference this protocol.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PppEthernet.Builder` Builder (mutable) used to create new protocol instances.
    `static class` | `PppEthernet.Code` Code types.
    `static class` | `PppEthernet.PppProtocolId` PPP protocol IDs.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `bytes()` Returns a copy of the payload bytes.
    `PppEthernet.Code` | `code()` Returns the PPPoE code.
    `ProtocolId` | `id()` Returns the protocol ID.
    `int` | `len()` Returns the payload length after decoding.
    `PppEthernet.PppProtocolId` | `pppProtocolId()` Returns the PPPoE protocol ID.
    `int` | `sessionId()` Returns the PPPoE session ID.
    `String` | `toDebugString()` Returns the protocol debug string.
    `String` | `toString()`
    `int` | `type()` Returns the PPPoE type.
    `int` | `version()` Returns the PPPoE version.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### id

          public ProtocolId id()

      Description copied from interface: `Protocol`
      Returns the protocol ID.
      Specified by:
        `id` in interface `Protocol`
      Returns:
        protocol ID

    - #### version

          public int version()

      Returns the PPPoE version.
      Returns:
        the PPPoE version

    - #### type

          public int type()

      Returns the PPPoE type.
      Returns:
        the PPPoE type

    - #### code

          public PppEthernet.Code code()

      Returns the PPPoE code.
      Returns:
        the PPPoE code

    - #### sessionId

          public int sessionId()

      Returns the PPPoE session ID.
      Returns:
        the PPPoE session ID

    - #### len

          public int len()

      Returns the payload length after decoding.
      Returns:
        the decoded payload length

    - #### pppProtocolId

          public PppEthernet.PppProtocolId pppProtocolId()

      Returns the PPPoE protocol ID.
      Returns:
        the PPPoE protocol ID

    - #### bytes

          public byte[] bytes()

      Returns a copy of the payload bytes.
      Returns:
        the payload bytes

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### toDebugString

          public String toDebugString()

      Description copied from interface: `Protocol`
      Returns the protocol debug string.
      Specified by:
        `toDebugString` in interface `Protocol`
      Returns:
        the protocol debug string

Copyright © 2014. All Rights Reserved.